const fs = require('fs')

module.exports = api => {
    return {
        updatePostcssConfig(callback) {
            let config
            let configPath
            const pcPath = api.resolve('./postcss.config.js')
            const pkgPath = api.resolve('./package.json')

            if (fs.existsSync(pcPath)) {
                configPath = pcPath
                config = callback(require(pcPath))
            } else if (fs.existsSync(pkgPath)) {
                configPath = pkgPath
                config = JSON.parse(fs.readFileSync(pkgPath, {encoding: 'utf8'}))
                config.postcss = callback(config.postcss || {})
            }
            if (configPath) {
                const moduleExports = configPath !== pkgPath ? 'module.exports = ' : ''
                fs.writeFileSync(configPath, `${moduleExports}${JSON.stringify(config, null, 2)}`, {encoding: 'utf8'})
            }
        }
    }
}