module.exports = (api, options) => {
    const helper = require('./helper')(api)
    api.extendPackage({
        devDependencies: {
            'postcss-adapt-datav': '0.1.0'
        }
    })
    api.onCreateComplete(() => {
        helper.updatePostcssConfig(config => {

            let viewportWidth = Number(options.viewportWidth)
            if (isNaN(viewportWidth)) viewportWidth = 1920

            let viewportHeight = Number(options.viewportHeight)
            if (isNaN(viewportHeight)) viewportHeight = 1080

            let unitPrecision = Number(options.unitPrecision)
            if (isNaN(unitPrecision)) unitPrecision = 6

            config.plugins = config.plugins || {}
            config.plugins['postcss-adapt-vdata'] = {
                viewportWidth,
                viewportHeight,
                unitPrecision
            }
            return config
        })
    })
}